<? 
include ("connect.inc.php"); 
include ("template.inc"); 

//-------------------- FONCTION DE RETOUR ----------------------------//
function retour($id,$mess){
header("Location:index2.php?action=mod&joueur=$id&mess=$mess");
}

if (!$_GET['action']) affichageMenu();
if ($_GET['action']=="voir") affichageListeJoueurs();
if ($_GET['action']==1) affichageListeMimichants($_GET['joueur']); 
if ($_GET['action']=="mod") modifierJoueur($_GET['joueur'],$_GET['mess'] ); 
if ($_GET['action']=="sup") supprimerJoueur($_GET['joueur']); 
if ($_GET['action']=="modOk") modifierJouerOk($_POST); 
if ($_GET['action']=="objs") gestionObjs(); 

//--------------------------------------------------------------------//
function gestionObjs(){
global $dbconn,$gestionO;
/* Declaration template */
$gestionO = new Template(".");
$gestionO->set_file("gestionO","gestionObjs.tpl");

//-----------  Declaration des blocks------------------ //
$gestionO->set_block("gestionO","LISTE_OBJETS","listeObjets");
affichageObjets();
/* ecriture fichier */
$gestionO->parse("output","gestionO");
$gestionO->p("output");
}
function affichageObjets(){
global $dbconn,$gestionO;

$qa=pg_query($dbconn,"select obj_id, obj_name, obj_infos from objects order by obj_id");
//$res=pg_fetch_array($qa);
$cpt=0;
while($ligne=pg_fetch_array($qa)) {

			
		$gestionO->set_var("id",$ligne['obj_id']);
		$gestionO->set_var("nom",$ligne['obj_name']);
		$gestionO->set_var("infos",$ligne['obj_infos']);
		
		if($cpt%2==0)$gestionO->set_var("atchoum","ligne1");
		else $gestionO->set_var("atchoum","ligne2");
		$cpt++;
		$gestionO->parse("listeObjets","LISTE_OBJETS",true);
	}	
}


//------------------- MODIFICATION JOUEUR ----------------------------//
//*************************TEMPLATE**********************************// 
function modifierJoueur($joueur,$mess) {
global $dbconn,$modifierJoueur;
/* Declaration template */
$modifierJoueur = new Template(".");
$modifierJoueur->set_file("modifierJoueur","modifierJoueur.tpl");
$modifierJoueur->set_var("message",$mess);	
/* Appels des fonctions */
modification($joueur);
/* ecriture fichier */
$modifierJoueur->parse("output","modifierJoueur");
$modifierJoueur->p("output");
}
//********************************************************************//
//****************** MODIFICATION PAR JOUEUR *************************// 
function modification($joueur){
global $dbconn,$modifierJoueur;
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"select user_id, user_login, user_mail, user_money, user_guild_name from users where user_id='$joueur'");
		$ligne=pg_fetch_array($qU);
		$modifierJoueur->set_var("login",$ligne['user_login']);				
		$modifierJoueur->set_var("id",$ligne['user_id']);
		$modifierJoueur->set_var("mail",$ligne['user_mail']);
		$modifierJoueur->set_var("money",$ligne['user_money']);
		$modifierJoueur->set_var("alliance",$ligne['user_guild_name']);
	
}
//********************************************************************//
//***************** ENREGISTREMENT MODIFICATION **********************// 
function modifierJouerOk($_POST){
global $dbconn;

$log=$_POST['login'];
$mail=$_POST['mail'];
$money=$_POST['money'];
$alliance=$_POST['alliance'];
$id=$_POST['id'];
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"update users set user_login='$log', user_mail='$mail', user_money='$money', user_guild_name='$alliance' where user_id='$id'");
retour($id, "Modification effectué");
	
}


//---------------------------------------------------------------------// 
//-------------------FIN MODIFICATION JOUEUR --------------------------//

 
//------------------- SUPPRIMATION JOUEUR ----------------------------//
//*************************TEMPLATE**********************************// 
function supprimerJoueur($joueur) {
global $dbconn,$supprimerJoueur;
//-----------  Declaration template  ------------------ //
$supprimerJoueur = new Template(".");
$supprimerJoueur->set_file("supprimerJoueur","supprimerJoueur.tpl");

//------------- ecriture fichier ---------------------//
$supprimerJoueur->parse("output","supprimerJoueur");
$supprimerJoueur->p("output");
}
//---------------------------------------------------------------------// 
//-------------------FIN SUPPRIMATION JOUEUR --------------------------//


//---------------------  AFFICHAGE JOUEURS   --------------------------//
//*************************TEMPLATE************************************// 
function affichageListeJoueurs() {
global $dbconn,$listeJoueurs;
//-----------  Declaration template  ------------------ //
$listeJoueurs = new Template(".");
$listeJoueurs->set_file("listeJoueur","listeJoueurs.tpl");

//-----------  Declaration des blocks------------------ //
$listeJoueurs->set_block("listeJoueur","LISTE_JOUEURS","listeJoueurs");
//----------- Appels des fonctions --------------------//
affichageJoueurs();
//------------- ecriture fichier ---------------------//
$listeJoueurs->parse("output","listeJoueur");
$listeJoueurs->p("output");
}
//*********************AFFICHAGE JOUEURS ******************************// 
function affichageJoueurs(){
global $dbconn,$listeJoueurs;

$qa=pg_query($dbconn,"select user_id, user_login, user_mail, user_guild_name, user_last_connect, user_money from users order by user_id");
//$res=pg_fetch_array($qa);
$cpt=0;
while($ligne=pg_fetch_array($qa)) {

		$idU=$ligne['user_id'];
		$qU=pg_query($dbconn,"select count(char_id) as nbMimi from characters where user_id='$idU'");
		$countU=pg_fetch_result($qU,0,'nbMimi');
				
		$listeJoueurs->set_var("id",$ligne['user_id']);
		$listeJoueurs->set_var("nom",$ligne['user_login']);
		$listeJoueurs->set_var("mail",$ligne['user_mail']);
		$listeJoueurs->set_var("nomAlliance",$ligne['user_guild_name']);
		$listeJoueurs->set_var("nbMimi",$countU);
		$listeJoueurs->set_var("connectDate",$ligne['user_last_connect']);
		$listeJoueurs->set_var("money",$ligne['user_money']);
		
		if($cpt%2==0)$listeJoueurs->set_var("atchoum","ligne1");
		else $listeJoueurs->set_var("atchoum","ligne2");
		$cpt++;
		$listeJoueurs->parse("listeJoueurs","LISTE_JOUEURS",true);
	}	
}

//---------------------------------------------------------------------// 
//-------------------  AFFICHAGE MIMICHANTS  --------------------------//
//*************************TEMPLATE************************************// 
function affichageListeMimichants($joueur) {
global $dbconn,$listeMimichants,$joueur;
//-----------  Declaration template  ------------------ //
$listeMimichants = new Template(".");
$listeMimichants->set_file("listeMimichant","listeMimichants.tpl");

//-----------  Declaration des blocks------------------ //
$listeMimichants->set_block("listeMimichant","LISTE_MIMICHANTS","listeMimichants");
//----------- Appels des fonctions --------------------//
affichageMimichants($joueur);
//------------- ecriture fichier ---------------------//
$listeMimichants->parse("output","listeMimichant");
$listeMimichants->p("output");
}
//************************* AFFICHAGE ************************************// 
function affichageMimichants($joueur){
global $dbconn,$listeMimichants;
// recupere l'id et le nom du joueur 
$qU=pg_query($dbconn,"select user_login from users where user_id='$joueur'");
$login=pg_fetch_array($qU);
//
$listeMimichants->set_var("joueur",$login['user_login']);
$qa=pg_query($dbconn,"select char_id, char_name, user_id, char_sex, char_money, char_pv, char_pa from characters where user_id='$joueur' order by char_id");
//$res=pg_fetch_array($qa);
$cpt=0;
while($ligne=pg_fetch_array($qa)) {

				
		$listeMimichants->set_var("id",$ligne['char_id']);
		$listeMimichants->set_var("nom",$ligne['char_name']);
		if($ligne['char_sex']=="f") { $sexe="femelle"; }
		else $sexe="male";
		$listeMimichants->set_var("sexe",$sexe);
		$listeMimichants->set_var("money",$ligne['char_money']);
		$listeMimichants->set_var("pv",$ligne['char_pv']);
		$listeMimichants->set_var("pa",$ligne['char_pa']);		
		if($cpt%2==0)$listeMimichants->set_var("atchoum","ligne1");
		else $listeMimichants->set_var("atchoum","ligne2");
		$cpt++;
		$listeMimichants->parse("listeMimichants","LISTE_MIMICHANTS",true);
	}	
}

//---------------------------------------------------------------------// 
//-------------------FIN AFFICHAGE MIMICHANT -------------------------//


function affichageMenu(){
global $dbconn;

//-----------  Declaration template  ------------------ //
$menu = new Template(".");
$menu->set_file("index","index.tpl");

//------------- ecriture fichier ---------------------//
$menu->parse("output","index");
$menu->p("output");
}

?>
<br />
